﻿.appSmartTicketing-tile {
    border: solid 5px rgba(222, 222, 222, 1);
    background-color: rgb(252, 252, 252);
    box-shadow: 0 0 10px rgba(0,0,0,1);
    border-radius: 5px;
    transform: rotateY(0deg);
    transition-duration: 800ms;
    width: 80%;
}

    .appSmartTicketing-tile:after {
        content: "";
        display: block;
        padding-bottom: 100%;
    }

.appSmartTicketing-tile-rotate {
    border: solid 5px rgba(222, 222, 222, 1);
    background-color: rgb(252, 252, 252);
    box-shadow: 0 0 10px rgba(0,0,0,1);
    border-radius: 5px;
    transform: rotateY(180deg);
    transition-duration: 800ms;
    width: 80%;
}

    .appSmartTicketing-tile-rotate:after {
        content: "";
        display: block;
        padding-bottom: 100%;
    }

.appSmartTicketing-tile-content {
    position: absolute;
    width: 100%;
    height: 100%;
}

.appSmartTicketing-tile-activities {
    height: 80%;
    width: 120%;
    border-radius: 50%;
    display: inline-block;
    background-color: orange;
    color: white;
    text-align: center;
    cursor: pointer;
    margin-left: 50%;
    margin-top: -70%;
}

.appSmartTicketing-tile-close-back {
    height: 140%;
    width: 140%;
    border-radius: 50%;
    display: inline-block;
    background-color: white;
    color: gray;
    text-align: center;
    cursor: pointer;
    margin-left: 40%;
    margin-top: -80%;
}

.grid-container-SmartTicketing {
    display: grid;
    grid-template-areas: 'Ticketing Space';
    grid-template-columns: 98% 2%;
    background-color: transparent;
}

.appSmartTicketing-tile-config {
    height: 100%;
    width: 100%;
    border-radius: 50%;
    display: inline-block;
    background-color: transparent;
    color: gray;
    text-align: center;
    cursor: pointer;
    margin-left: 10%;
    margin-top: 10%;
}

.appSmartTicketing-grid-container-tile-front {
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: 15% 80% 5%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appSmartTicketing-grid-container-tile-back {
    display: none;
    transform: rotateY(180deg);
    grid-template-columns: 100%;
    grid-template-rows: 10% 90%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appSmartTicketing-grid-container-tile-header {
    display: grid;
    grid-template-columns: 10% 5% 10% 65% 10%;
    grid-template-rows: 100%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appSmartTicketing-grid-container-tile-content-front {
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: 25% 25% 50%;
    background-color: transparent;
    height: 100%;
    width: 100%;
    cursor: pointer;
}


.appSmartTicketing-grid-container-tile-content-back {
    display: grid;
    grid-template-columns: 33% 34% 33%;
    grid-template-rows: 25% 75%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appSmartTicketing-grid-container-activities-content {
    display: grid;
    grid-template-columns: 33% 34% 33%;
    grid-template-rows: 45% 10% 45%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appSmartTicketing-grid-container-activity {
    display: grid;
    grid-template-columns: 15% 70% 15%;
    grid-template-rows: 100%;
    background-color: transparent;
    width: 100%;
    align-items: center;
    margin-bottom: 10px;
}

.appSmartTicketing-grid-container-activity-message {
    display: grid;
    grid-template-columns: 70% 30%;
    grid-template-rows: 40% 20% 40%;
    width: 100%;
    height: 100%;
}

.appSmartTicketing-grid-container-activity-delete {
    display: grid;
    grid-template-columns: 15% 70% 15%;
    grid-template-rows: 100%;
    background-color: transparent;
    height: 25%;
    width: 100%;
    align-items: center;
}

.appSmartTicketing-circle-outer-activity {
    width: 90%;
    padding-bottom: 90%;
    position: relative;
}

.appSmartTicketing-circle-activity {
    position: absolute;
    top: 10px;
    right: 10px;
    bottom: 10px;
    left: 10px;
    cursor: pointer;
    border-radius: 50%;
    border: 1px solid gray;
}

.appSmartTicketing-grid-container-config {
    display: grid;
    grid-template-columns: 50% 50%;
    background-color: transparent;
    width: 100%;
}

.appSmartTicketing-grid-container-config-limits {
    display: grid;
    grid-template-columns: 10% 2% 18% 2% 18% 2% 18% 5% 2% 18% 5%;
    background-color: transparent;
    margin-top: 1%;
    width: 100%;
}

.appSmartTicketing-grid-container-config-header {
    display: grid;
    grid-template-columns: 50% 50%;
    grid-template-rows: 100%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appSmartTicketing-grid-container-chart-header {
    display: grid;
    grid-template-columns: 98% 2%;
    grid-template-rows: 100%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appSmartTicketing-grid-container-chart-date-selection {
    display: grid;
    grid-template-columns: 3% 3% 1% 5% 1% 10% 1% 20% auto;
    grid-template-rows: 100%;
    background-color: transparent;
    height: 50%;
}

.appSmartTicketing-grid-container-chart-content {
    display: grid;
    grid-template-columns: 70% 30%;
    grid-template-rows: 6vh 100%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appSmartTicketing-grid-container-chart-content-line-option {
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: 20% 50% 20%;
    padding-left: 80px;
    padding-right: 20px;
    height: 100%;
    width: 100%;
}

.appSmartTicketing-grid-container-chart-current-values-line-option {
    display: grid;
    align-self: center;
}

.appSmartTicketing-grid-container-chart-total-item-line-option {
    display: grid;
    grid-template-columns: 50% 50%;
}

.appSmartTicketing-grid-container-chart-legend-line-option {
    grid-template-columns: 50% 25% 25%;
    grid-template-rows: 12.5% 12.5% 12.5% 12.5% 12.5% 12.5%;
}

.appSmartTicketing-dot-last-state-chart-line-option {
    height: 0.8vw;
    width: 0.8vw;
    border-radius: 50%;
    display: inline-block;
}

.appSmartTicketing-grid-container-chart-frame-barHor-option {
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: 60% 40%;
    padding-left: 50px;
    padding-right: 20px;
    height: 100%;
    width: 100%;
}

.appSmartTicketing-grid-container-chart-barHor-option {
    display: grid;
    align-self: center;
}

.appSmartTicketing-grid-container-chart-legend-barHor-option {
    grid-template-columns: 50% 25% 25%;
    grid-template-rows: 12.5% 12.5% 12.5% 12.5% 12.5% 12.5%;
}

.appSmartTicketing-grid-container-activities-ack-all {
    display: grid;
    grid-template-columns: 80% auto;
    grid-template-rows: 100%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}
